<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>MainController</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MainController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MainController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controllers</a></div>
<h2 title="Class MainController" class="title">Class MainController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>controllers.MainController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.event.ActionListener</code>, <code>java.awt.event.MouseListener</code>, <code>java.util.EventListener</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">MainController</span>
extends java.lang.Object
implements java.awt.event.ActionListener, java.awt.event.MouseListener</pre>
<div class="block">MainController is the class which manage the event from the main view</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(views.MainView,model.classes.User)">MainController</a></span>&#8203;(<a href="../views/MainView.html" title="class in views">MainView</a>&nbsp;mainView,
              <a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;user_connected)</code></th>
<td class="colLast">
<div class="block">Constructor of the MainController class</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionPerformed(java.awt.event.ActionEvent)">actionPerformed</a></span>&#8203;(java.awt.event.ActionEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">ActionListener override method used to listening action on JButtons and JRadioButton</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateCallTimeAndStatus(java.util.List)">calculateCallTimeAndStatus</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_call)</code></th>
<td class="colLast">
<div class="block">Compute the average call time and the status in the list_call</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#compareTwoCallList(java.util.List,java.util.List)">compareTwoCallList</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_one,
                  java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_two)</code></th>
<td class="colLast">
<div class="block">Compare if two calls lists are equals</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#compareTwoUserList(java.util.List,java.util.List)">compareTwoUserList</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;list_one,
                  java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;list_two)</code></th>
<td class="colLast">
<div class="block">Compare if two users lists are equals</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertSecToMin(int)">convertSecToMin</a></span>&#8203;(int&nbsp;Second)</code></th>
<td class="colLast">
<div class="block">Convert second of a call</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTable(java.lang.Object%5B%5D,java.lang.Object%5B%5D%5B%5D)">createTable</a></span>&#8203;(java.lang.Object[]&nbsp;headers,
           java.lang.Object[][]&nbsp;data)</code></th>
<td class="colLast">
<div class="block">Create the JTable in the main views and show it</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disableAllLabel()">disableAllLabel</a></span>()</code></th>
<td class="colLast">
<div class="block">Disable all the label, used when the user click on a button</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disableDataLabel()">disableDataLabel</a></span>()</code></th>
<td class="colLast">
<div class="block">Disable the label where data is insert, used when the radio button of a specific date is selected without date</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disableQuitDisconnectButton()">disableQuitDisconnectButton</a></span>()</code></th>
<td class="colLast">
<div class="block">Disable buttons Quit and Disconnect, used when the user pressed any button to show table</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enabledAllLabel()">enabledAllLabel</a></span>()</code></th>
<td class="colLast">
<div class="block">Enable all the label, used when the user click the button back to return on main view</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enabledDataLabel()">enabledDataLabel</a></span>()</code></th>
<td class="colLast">
<div class="block">Enable the label where data is insert, used when the radio button and a specific date is selected</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enalbeQuitDisconnectButton()">enalbeQuitDisconnectButton</a></span>()</code></th>
<td class="colLast">
<div class="block">Show buttons Quit and Disconnect, used when the user go back to main view</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillCallTable(java.util.List)">fillCallTable</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;call_list)</code></th>
<td class="colLast">
<div class="block">Fill the call table</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillDataCallTable(java.lang.Object%5B%5D%5B%5D,java.util.List,int)">fillDataCallTable</a></span>&#8203;(java.lang.Object[][]&nbsp;data,
                 java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;call_list,
                 int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Fill the data in the call table</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillDataUserTable(java.lang.Object%5B%5D%5B%5D,java.util.List)">fillDataUserTable</a></span>&#8203;(java.lang.Object[][]&nbsp;data,
                 java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</code></th>
<td class="colLast">
<div class="block">Fill the data in the user table</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillUserTable(java.util.List)">fillUserTable</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</code></th>
<td class="colLast">
<div class="block">Fill the user table</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">MouseListener override method used to listening action on cell in the JTable</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseExited(java.awt.event.MouseEvent)">mouseExited</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#searchOperator(java.util.List)">searchOperator</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</code></th>
<td class="colLast">
<div class="block">Search all operators in a list</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#testCallList(java.util.List,java.util.List)">testCallList</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;old_call_list,
            java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;new_call_list)</code></th>
<td class="colLast">
<div class="block">Test if the old call list is up to date</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#verifyCallButtonPressed(java.util.List,java.util.List)">verifyCallButtonPressed</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;new_call_list,
                       java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;old_call_list)</code></th>
<td class="colLast">
<div class="block">Verify if any button that will show a call table is pressed</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#verifyOperatorButtonPressed(java.util.List)">verifyOperatorButtonPressed</a></span>&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;new_user_list)</code></th>
<td class="colLast">
<div class="block">Verify if the button operators is pressed</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(views.MainView,model.classes.User)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MainController</h4>
<pre>public&nbsp;MainController&#8203;(<a href="../views/MainView.html" title="class in views">MainView</a>&nbsp;mainView,
                      <a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;user_connected)</pre>
<div class="block">Constructor of the MainController class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mainView</code> - The main view</dd>
<dd><code>user_connected</code> - The user connected</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="actionPerformed(java.awt.event.ActionEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionPerformed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;actionPerformed&#8203;(java.awt.event.ActionEvent&nbsp;e)</pre>
<div class="block">ActionListener override method used to listening action on JButtons and JRadioButton</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>actionPerformed</code>&nbsp;in interface&nbsp;<code>java.awt.event.ActionListener</code></dd>
</dl>
</li>
</ul>
<a id="mouseClicked(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseClicked</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseClicked&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">MouseListener override method used to listening action on cell in the JTable</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseClicked</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a id="verifyCallButtonPressed(java.util.List,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifyCallButtonPressed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;verifyCallButtonPressed&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;new_call_list,
                                    java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;old_call_list)</pre>
<div class="block">Verify if any button that will show a call table is pressed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>old_call_list</code> - A old call list (not update every second)</dd>
<dd><code>new_call_list</code> - A new call list (update every second with the DB)</dd>
</dl>
</li>
</ul>
<a id="verifyOperatorButtonPressed(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verifyOperatorButtonPressed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;verifyOperatorButtonPressed&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;new_user_list)</pre>
<div class="block">Verify if the button operators is pressed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>new_user_list</code> - A user list</dd>
</dl>
</li>
</ul>
<a id="testCallList(java.util.List,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>testCallList</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;testCallList&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;old_call_list,
                         java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;new_call_list)</pre>
<div class="block">Test if the old call list is up to date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>old_call_list</code> - A old call list (not update every second)</dd>
<dd><code>new_call_list</code> - A new call list (update every second with the DB)</dd>
</dl>
</li>
</ul>
<a id="fillDataCallTable(java.lang.Object[][],java.util.List,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillDataCallTable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;fillDataCallTable&#8203;(java.lang.Object[][]&nbsp;data,
                              java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;call_list,
                              int&nbsp;index)</pre>
<div class="block">Fill the data in the call table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Double dimensional Object array of the data</dd>
<dd><code>call_list</code> - A call list to fill in the table</dd>
<dd><code>index</code> - Index of the loop</dd>
</dl>
</li>
</ul>
<a id="fillCallTable(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillCallTable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;fillCallTable&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;call_list)</pre>
<div class="block">Fill the call table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>call_list</code> - A call list to fill in the table</dd>
</dl>
</li>
</ul>
<a id="fillUserTable(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillUserTable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;fillUserTable&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</pre>
<div class="block">Fill the user table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user_list</code> - A user list to fill in the table</dd>
</dl>
</li>
</ul>
<a id="fillDataUserTable(java.lang.Object[][],java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillDataUserTable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;fillDataUserTable&#8203;(java.lang.Object[][]&nbsp;data,
                              java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</pre>
<div class="block">Fill the data in the user table</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>data</code> - Double dimensional Object array of the data</dd>
<dd><code>user_list</code> - A user list to fill in the table</dd>
</dl>
</li>
</ul>
<a id="createTable(java.lang.Object[],java.lang.Object[][])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTable</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;createTable&#8203;(java.lang.Object[]&nbsp;headers,
                        java.lang.Object[][]&nbsp;data)</pre>
<div class="block">Create the JTable in the main views and show it</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>headers</code> - Headers of the table</dd>
<dd><code>data</code> - Data of the table</dd>
</dl>
</li>
</ul>
<a id="disableAllLabel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableAllLabel</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;disableAllLabel()</pre>
<div class="block">Disable all the label, used when the user click on a button</div>
</li>
</ul>
<a id="disableDataLabel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableDataLabel</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;disableDataLabel()</pre>
<div class="block">Disable the label where data is insert, used when the radio button of a specific date is selected without date</div>
</li>
</ul>
<a id="enabledAllLabel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabledAllLabel</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;enabledAllLabel()</pre>
<div class="block">Enable all the label, used when the user click the button back to return on main view</div>
</li>
</ul>
<a id="enabledDataLabel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabledDataLabel</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;enabledDataLabel()</pre>
<div class="block">Enable the label where data is insert, used when the radio button and a specific date is selected</div>
</li>
</ul>
<a id="disableQuitDisconnectButton()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disableQuitDisconnectButton</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;disableQuitDisconnectButton()</pre>
<div class="block">Disable buttons Quit and Disconnect, used when the user pressed any button to show table</div>
</li>
</ul>
<a id="enalbeQuitDisconnectButton()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enalbeQuitDisconnectButton</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;enalbeQuitDisconnectButton()</pre>
<div class="block">Show buttons Quit and Disconnect, used when the user go back to main view</div>
</li>
</ul>
<a id="searchOperator(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchOperator</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;searchOperator&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;user_list)</pre>
<div class="block">Search all operators in a list</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user_list</code> - A user list</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Integer the number of operator in the user list</dd>
</dl>
</li>
</ul>
<a id="calculateCallTimeAndStatus(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateCallTimeAndStatus</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;calculateCallTimeAndStatus&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_call)</pre>
<div class="block">Compute the average call time and the status in the list_call</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list_call</code> - A calls list</dd>
</dl>
</li>
</ul>
<a id="convertSecToMin(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertSecToMin</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convertSecToMin&#8203;(int&nbsp;Second)</pre>
<div class="block">Convert second of a call</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Second</code> - Seconds to convert</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String formated like the : MM:SS</dd>
</dl>
</li>
</ul>
<a id="compareTwoUserList(java.util.List,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareTwoUserList</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;compareTwoUserList&#8203;(java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;list_one,
                                            java.util.List&lt;<a href="../model/classes/User.html" title="class in model.classes">User</a>&gt;&nbsp;list_two)</pre>
<div class="block">Compare if two users lists are equals</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list_one</code> - One user list to compare</dd>
<dd><code>list_two</code> - A second user list to compare</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean True if the list are equals, false if they are not</dd>
</dl>
</li>
</ul>
<a id="compareTwoCallList(java.util.List,java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareTwoCallList</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;compareTwoCallList&#8203;(java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_one,
                                            java.util.List&lt;<a href="../model/classes/Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_two)</pre>
<div class="block">Compare if two calls lists are equals</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list_one</code> - One call list to compare</dd>
<dd><code>list_two</code> - A second call list to compare</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Boolean True if the list are equals, false if they are not</dd>
</dl>
</li>
</ul>
<a id="mousePressed(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mousePressed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mousePressed&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mousePressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a id="mouseReleased(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseReleased</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseReleased&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a id="mouseEntered(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseEntered</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseEntered&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseEntered</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
<a id="mouseExited(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mouseExited</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mouseExited&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseExited</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MainController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
